aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gmail.com>2012-09-25 17:14:43 -0700
committerMatt Turner <mattst88@gmail.com>2012-09-27 18:23:27 -0700
commit72f6115834b157c2cfd1abbd90b2ec2b95f2d60e (patch)
treec553d91598d1586d94cbf65661a80592b2b8933b
parentWhitespace. (diff)
downloadcatalyst-72f6115834b157c2cfd1abbd90b2ec2b95f2d60e.tar.gz
catalyst-72f6115834b157c2cfd1abbd90b2ec2b95f2d60e.tar.bz2
catalyst-72f6115834b157c2cfd1abbd90b2ec2b95f2d60e.zip
Don't emerge ccache/distcc/icecream with --nodeps
ccache-3.1.8 changed to using tar.xz sources, which exposed a problem in catalyst where an old stage without xz would fail to seed a new stage using ccache. ccache's dependencies are zlib (and xz for >=ccache-3.1.8). distcc's are already part of stages: dev-libs/popt, virtual/pkgconfig, and sys-devel/gcc-config. icecream has no dependencies (???). Emerging with --nodeps only has the potential to cause problems.
-rw-r--r--targets/support/chroot-functions.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/targets/support/chroot-functions.sh b/targets/support/chroot-functions.sh
index 18e7a38..fecbad4 100644
--- a/targets/support/chroot-functions.sh
+++ b/targets/support/chroot-functions.sh
@@ -68,7 +68,7 @@ setup_myfeatures(){
if [ -n "${clst_CCACHE}" ]
then
export clst_myfeatures="${clst_myfeatures} ccache"
- clst_root_path=/ run_merge --oneshot --nodeps --noreplace dev-util/ccache || exit 1
+ clst_root_path=/ run_merge --oneshot --noreplace dev-util/ccache || exit 1
fi
if [ -n "${clst_DISTCC}" ]
@@ -83,9 +83,9 @@ setup_myfeatures(){
# reinstall if it isn't found.
if [ "$(getent passwd distcc | cut -d: -f1)" != "distcc" ]
then
- clst_root_path=/ run_merge --oneshot --nodeps sys-devel/distcc || exit 1
+ clst_root_path=/ run_merge --oneshot sys-devel/distcc || exit 1
else
- clst_root_path=/ run_merge --oneshot --nodeps --noreplace sys-devel/distcc || exit 1
+ clst_root_path=/ run_merge --oneshot --noreplace sys-devel/distcc || exit 1
fi
sed -i '/USE="${USE} -avahi -gtk -gnome"/d' /etc/portage/make.conf
mkdir -p /etc/distcc
@@ -104,7 +104,7 @@ setup_myfeatures(){
if [ -n "${clst_ICECREAM}" ]
then
- clst_root_path=/ run_merge --oneshot --nodeps --noreplace sys-devel/icecream || exit 1
+ clst_root_path=/ run_merge --oneshot --noreplace sys-devel/icecream || exit 1
# This sets up automatic cross-icecc-fu according to
# http://gentoo-wiki.com/HOWTO_Setup_An_ICECREAM_Compile_Cluster#Icecream_and_cross-compiling